Package org.xnio.conduits

# Interface TerminateHandler

All Known Subinterfaces:
  `ReadReadyHandler`, `WriteReadyHandler`

All Known Implementing Classes:
  `ReadReadyHandler.ChannelListenerHandler`, `TerminateHandler.ChannelListenerHandler`, `WriteReadyHandler.ChannelListenerHandler`

public interface TerminateHandler
The base ready handler type, which can forward termination requests as well as notifications of termination completion.

Author:
  David M. Lloyd

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`TerminateHandler.ChannelListenerHandler<C extends Channel & CloseListenerSettable<C>>`
A terminate handler which calls a channel listener on termination notification.
`static class`
`TerminateHandler.ReadyTask`
A runnable task which invokes the `terminated()` method of the given handler.

## Method Summary

Modifier and Type
Method
Description
`void`
`forceTermination()`
Force the front-end channel to close, in response to XNIO worker shutdown.
`void`
`terminated()`
Indicate that a previous shutdown request has successfully resulted in termination.

## Method Details

### forceTermination

void forceTermination()
Force the front-end channel to close, in response to XNIO worker shutdown.

### terminated

void terminated()
Indicate that a previous shutdown request has successfully resulted in termination.